Create an attachment

Requires the ATTACHMENT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
document_idstringRequired
The document ID to attach.
documentobject or nullOptional
The expanded document object.
resourceobjectOptional
The resource to attach the document to.

Response

Created
document_idstring
The document ID to attach.
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
documentobject or null
The expanded document object.
resourceobject
The resource to attach the document to.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error